#!/usr/bin/env bash

PASSWORD=$(zenity --password --title="User Password")

HOME () {
if ! echo $PASSWORD | sudo -S flatpak update -y ; then

	zenity --error \
	--title="Sovran_SystemsOS_Light Updater" \
	--text="Could Not Update Flatpaks."

	exit 1

fi

if ! echo $PASSWORD | cd /etc/nixos && sudo -S nix flake update ; then

	zenity --error \
	--width=400 \
	--title="Sovran_SystemsOS_Light Updater" \
	--text="Could not complete the Nix Flake update."

	exit 1

fi

if xterm -T "Sovran_SystemsOS_Light Updater" -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "PASSWORD=$(zenity --password --title="User Password") echo $PASSWORD | sudo -S nixos-rebuild switch" ; then

	zenity --info \
	--ellipsize \
	--no-wrap \
	--width=500 \
	--title="Sovran_SystemsOS_Light Updater" \
	--text="Yay complete! Please reboot when you are ready."

fi

}

curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Light_Updater/Updater%20Source%20Files/Intro.md" |

zenity --text-info \
--width=1000 \
--height=750 \
--title="Sovran_SystemsOS_Light Updater"

if [[ $? -eq 1 ]]; then

exit 1

else

HOME | zenity --progress --no-cancel --auto-close --width=660 --pulsate --text="Updating Sovran_SystemsOS now. In rare cases, it could take up to 3 hours. Please be patient..." --title="Sovran_SystemsOS_Light Updater"

fi

exit 0